Subject: Question about incoming calls.

From: HOULLIER Francis FTRD/DMI/CAE <[email-masked]>
Date: Thu, 25 May 2000 09:16:04 +0200

On a LNS, I receive a first ICRQ with an assigned session ID of 1. My LNS
sends an ICRP with an assigned session ID of 1 too. The session works and
stay open.
Then, I receive another ICRQ with an assigned session ID of 1. What must I
do ?
For me, this ICRQ is not acceptable and I send a CDN. Am I right ?

Another case, the LNS receiving that ICRQ with the assigned session ID of 1,
sends an ICRP with an assigned session ID of 2.What happens ?

Thank you for your help.

Francis HOULLIER
FTR&D / DMI / SIR
42 rue des Coutures BP 6243 
14066 CAEN CEDEX

E-mail : [email-masked]
Tel : 02 31 75 91 65
Fax : 02 31 73 56 26

---

From: "Barbara Nichel" <[email-masked]>
Date: Thu, 25 May 2000 13:58:18 +0200

Hi Francis,

for me, if LAC sends an ICRQ with Assigned Session ID = 1(Session ID in message
header
MUST be 0), LNS can respond with an ICRP containing the same Assigned Session ID
of 1,
because this identifier exchanged by AVP during session setup has local
significance only.
The Assigned Session ID within an ICRQ and a ICRP message is used to inform the
peer (the receiver) on the identifier used by the sender to identify the
session.
The same is for Assigned Tunnel ID AVP.
I think you must avoid to assign the same Session ID to differents sessions on
the same tunnel,
but you can use the same identifier for a session on both the ends of the tunnel
and so use
the same value for the Assigned Session AVP in ICRQ and ICRP.

Regards,
          Barbara

"HOULLIER Francis FTRD/DMI/CAE" <[email-masked]> on
05/25/2000 09:16:04 AM

                                                              

 To:      "[email-masked]'" <[email-masked]>                 
                                                              
 cc:      (bcc: Barbara Nichel/MAIN/MC1)                      

 Subject: Question about incoming calls.                      

Thank you for your help.

Francis HOULLIER
FTR&D / DMI / SIR